# SerialiseAuth
<span class="source-link">[[Source]](src/serialise/serialise.md#L40)</span>

This is a capability that allows the holder to serialise objects. It does not
allow the holder to examine serialised data or to deserialise objects.


```pony
primitive val SerialiseAuth
```

## Constructors

### create
<span class="source-link">[[Source]](src/serialise/serialise.md#L45)</span>


```pony
new val create(
  auth: AmbientAuth val)
: SerialiseAuth val^
```
#### Parameters

*   auth: [AmbientAuth](builtin-AmbientAuth.md) val

#### Returns

* [SerialiseAuth](serialise-SerialiseAuth.md) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/serialise/serialise.md#L45)</span>


```pony
fun box eq(
  that: SerialiseAuth val)
: Bool val
```
#### Parameters

*   that: [SerialiseAuth](serialise-SerialiseAuth.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/serialise/serialise.md#L45)</span>


```pony
fun box ne(
  that: SerialiseAuth val)
: Bool val
```
#### Parameters

*   that: [SerialiseAuth](serialise-SerialiseAuth.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

